Subject: bug#10907: 24.0.94; Updating display of Customize buffer

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 21 Apr 2022 15:49:41 +0200

Stephen Berman <[email-masked]> writes:

> It turns out that, at least for my use case, completely reevaluating the
> whole expression in fact DTRT -- see the attached file.  Admittedly,
> elegant it isn't, and AFAIK this is virtually never done (I guess that's
> why it didn't occur to me when I asked the above question) -- but other
> than inelegance, is there a problem with doing this?

No, doing that's fine, but rather unusual.

Andreas pointed out that the traditional way to do more dynamic types is
to use a menu-choice with :match and stuff, so I don't think there's
anything much to fix here, really, and I'm therefore closing this bug
report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no